Bug 499635 - oracle-instantclient-selinux-10.2-9.1.el5sat unresolved deps
oracle-instantclient-selinux-10.2-9.1.el5sat unresolved deps
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Michael Mráka
:
Depends On:
Blocks: 456999 457079
  Show dependency treegraph
 
Reported: 2009-05-07 10:19 EDT by Michael Mráka
Modified: 2009-09-10 10:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 10:38:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2009-05-07 10:19:17 EDT
Description of problem:
Repoclosure fails to resolve dependencies.

Version-Release number of selected component (if applicable):
RHN-Proxy-5.3.0-RHEL5-re20090507.1
oracle-instantclient-selinux-10.2-9.1.el5sat.noarch

How reproducible:
always

Steps to Reproduce:
1.repoclosure.py -t -a i386
--repo-url=file:///mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL5-re20090507.1/i386/i386/RHNProxy
--lookaside-url=file:///mnt/redhat/released/RHEL-5-Server/U3/i386/os/Server 
--lookaside-url=file:///mnt/redhat/released/RHEL-5-Server/U3/i386/os/VT
2.
3.
  
Actual results:
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 3
   file:///mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL5-re20090507.1/i386/i386/RHNProxy
   file:///mnt/redhat/released/RHEL-5-Server/U3/i386/os/VT
   file:///mnt/redhat/released/RHEL-5-Server/U3/i386/os/Server
Num Packages in Repos: 2357
package: oracle-instantclient-selinux-10.2-9.1.el5sat.noarch from file:///mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL5-re20090507.1/i386/i386/RHNProxy
  unresolved deps: 
     oracle-instantclient-sqlplus

Expected results:
no unresolved deps

Additional info:
Comment 1 Jan Pazdziora 2009-05-11 09:08:42 EDT
Dependency dropped in Spacewalk git repo, master b8a922debf2d788242196668ee6940c2f3d28736, by creating new package oracle-instantclient-sqlplus-selinux.

So oracle-instantclient-selinux no longer requires oracle-instantclient-sqlplus.
Comment 2 Jan Pazdziora 2009-05-21 04:29:52 EDT
With RHN-Proxy-5.3.0-RHEL5-re20090520.0 available, moving ON_QA.
Comment 3 Michael Mráka 2009-05-21 08:24:40 EDT
Verified. 

RHN-Proxy-5.3.0-RHEL5-re20090520.0
https://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=59757
Comment 4 Milan Zazrivec 2009-09-02 06:06:40 EDT
Verified in stage -> RELEASE_PENDING

$ for arch in i386 x86_64 s390x; do ./repoclosure.py  -t -a $arch 
--lookaside-url=file:///mnt/redhat/released/RHEL-5-Server/U3/$arch/os/Server 
--repo-url=file:///mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL5-re20090820.1/$arch/$arch/RHNProxy; done
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 2
   file:///mnt/redhat/released/RHEL-5-Server/U3/i386/os/Server
   file:///mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL5-re20090820.1/i386/i386/RHNProxy
Num Packages in Repos: 2322
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 2
   file:///mnt/redhat/released/RHEL-5-Server/U3/x86_64/os/Server
   file:///mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL5-re20090820.1/x86_64/x86_64/RHNProxy
Num Packages in Repos: 3062
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 2
   file:///mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL5-re20090820.1/s390x/s390x/RHNProxy
   file:///mnt/redhat/released/RHEL-5-Server/U3/s390x/os/Server
Num Packages in Repos: 2703
Comment 5 Brandon Perkins 2009-09-10 10:38:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1433.html

Note You need to log in before you can comment on or make changes to this bug.